Class | ActiveMerchant::Billing::PaymentExpressGateway
In: | lib/active_merchant/billing/gateways/payment_express.rb
Parent: | Gateway

In NZ DPS supports ANZ, Westpac, National Bank, ASB and BNZ. In Australia DPS supports ANZ, NAB, Westpac, CBA, St George and Bank of South Australia. The Maybank in Malaysia is supported and the Citibank for Singapore.

### Methods

authorize capture credit new purchase store

### Constants

URL | = | 'https://www.paymentexpress.com/pxpost.aspx'
APPROVED | = | '1'
TRANSACTIONS | = | { :purchase => 'Purchase', :credit => 'Refund', :authorization => 'Auth', :capture => 'Complete', :validate => 'Validate'

### Public Class methods

new(options = {})

We require the DPS gateway username and password when the object is created.

### Public Instance methods

authorize(money, credit_card, options = {})

NOTE: Perhaps in options we allow a transaction note to be inserted Verifies that funds are available for the requested card and amount and reserves the specified amount. See: www.paymentexpress.com/technical_resources/ecommerce_nonhosted/pxpost.html#Authcomplete

capture(money, identification, options = {})

Transfer pre-authorized funds immediately See: www.paymentexpress.com/technical_resources/ecommerce_nonhosted/pxpost.html#Authcomplete

credit(money, identification, options = {})

Refund funds to the card holder

purchase(money, payment_source, options = {})

Funds are transferred immediately.

store(credit_card, options = {})

initiates a "Validate" transcation to store card data on payment express servers returns a "token" that can be used to rebill this card see: www.paymentexpress.com/technical_resources/ecommerce_nonhosted/pxpost.html#Tokenbilling PaymentExpress does not support unstoring a stored card.

[Validate]